Skip to main content
POST
Add a document to a dispute

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

dispute_id
string<uuid>
required

Dispute ID

Example:

"472341e0-ea3e-41a1-96bc-fd0185e1eac8"

Body

multipart/form-data

Details of the document.

file
file
required

The file to be uploaded. Max size 14MB.

category
enum<string>

Category of the supporting document.

Available options:
TRANSACTION_RECEIPT,
PRIOR_TRANSACTION_RECEIPT,
MERCHANT_CORRESPONDENCE,
COUNTERFEIT_EVIDENCE,
REFUND_PROMISE,
OTHER

Response

Dispute document added

creation_time
string<date-time>
required
read-only

The timestamp representing when the object was created

Example:

"2010-05-06T12:23:34.321Z"

dispute_id
string<uuid>
required
read-only

The unique identifier of the dispute

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

file_name
string
required
Example:

"example.pdf"

id
string<uuid>
required
read-only

The unique identifier of a dispute document.

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

category
enum<string>

Category of the supporting document.

Available options:
TRANSACTION_RECEIPT,
PRIOR_TRANSACTION_RECEIPT,
MERCHANT_CORRESPONDENCE,
COUNTERFEIT_EVIDENCE,
REFUND_PROMISE,
OTHER